curl --request GET \
--url https://api.decodahealth.com/task/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/task/list"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/task/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"status": "OPEN",
"priority": "URGENT",
"creatorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"opportunityId": "<string>",
"assigneeId": "<string>",
"teamId": "<string>",
"locationId": "<string>",
"targetNoteId": "<string>",
"targetFaxId": "<string>",
"targetDocumentId": "<string>",
"sourceNoteId": "<string>",
"completedById": "<string>",
"completedDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"assignee": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"carePlan": {
"carePlanId": "<string>",
"stepNumber": 123,
"carePlanName": "<string>",
"status": "<string>"
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Tasks
List tasks with optional filtering.
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
1-based page number
Rows per page
Sort field
Sort direction: asc or desc
Filter by task status(es)
OPEN, IN_PROGRESS, COMPLETED, CANCELLED Filter by task priority(ies)
URGENT, HIGH, NORMAL, LOW Filter by assignee provider ID
Filter by assigned team ID
Filter by linked patient ID
Filter by patient-specific or ops tasks Separates patient-specific work (a patient is assigned) from ops work (none).
PATIENT_SPECIFIC, OPS Filter by task creator ID
Filter by subscriber provider ID
Filter to tasks at exactly these non-null locations
Include tasks with no location
Filter by linked call ID
Filter tasks with start_date >= this value
Filter tasks with start_date <= this value
Filter tasks with due_date >= this value
Filter tasks with due_date <= this value
Include tasks with start_date in the future
Search in task title and description

